summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Eugene Wissner <belka@caraus.de>2015-10-31 08:26:04 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-10-31 08:26:04 +0700
commit483eb1346bdb176ba9d6c3b3fea1954b6555af8a (patch)
tree26ac393e7983a61553c53c85a73db5bb1f3ba0aa /development
parent772f2828944521252ba3ef7e04612e2f3b2fbf23 (diff)
downloadslackbuilds-483eb1346bdb176ba9d6c3b3fea1954b6555af8a.tar.gz
slackbuilds-483eb1346bdb176ba9d6c3b3fea1954b6555af8a.tar.xz
development/dwarf: Added (produce DWARF debug information).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/dwarf/README10
-rw-r--r--development/dwarf/dwarf.SlackBuild95
-rw-r--r--development/dwarf/dwarf.info10
-rw-r--r--development/dwarf/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/development/dwarf/README b/development/dwarf/README
new file mode 100644
index 0000000000..c1e28e78bc
--- /dev/null
+++ b/development/dwarf/README
@@ -0,0 +1,10 @@
+The DWARF Debugging Information Format is of interest to programmers working on
+compilers and debuggers (and anyone interested in reading or writing DWARF
+information). It was developed by a committee (known as the PLSIG at the time)
+starting around 1991. Starting around 1991 SGI got involved with the committee
+and then developed the libdwarf and dwarfdump tools for SGI-internal use and as
+part of SGI IRIX developer tools. From around 1993 dwarfdump and libdwarf were
+shipped (as an executable and archive respectively, not source) with every
+release of the SGI MIPS/IRIX C compiler. In 1994 (I think the correct year) SGI
+agreed (at my request) to open-source libdwarf (and in 1999 to open-source
+dwarfdump) so anyone could use them.
diff --git a/development/dwarf/dwarf.SlackBuild b/development/dwarf/dwarf.SlackBuild
new file mode 100644
index 0000000000..a0ea396edd
--- /dev/null
+++ b/development/dwarf/dwarf.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for dwarf
+
+# Copyright 2015 Eugene Wissner Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dwarf
+VERSION=${VERSION:-20150915}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/libdwarf-$VERSION.tar.gz
+cd $PRGNAM-$VERSION/libdwarf
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="-I/usr/include/libelf $SLKCFLAGS" \
+./configure \
+ --enable-shared \
+ --build=$ARCH-slackware-linux
+
+make
+
+# There is no make install
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX} $PKG/usr/include $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a libdwarf.so $PKG/usr/lib${LIBDIRSUFFIX}
+cp -a dwarf.h libdwarf.h $PKG/usr/include
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cp -a README NEWS COPYING CODINGSTYLE CHANGES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/dwarf/dwarf.info b/development/dwarf/dwarf.info
new file mode 100644
index 0000000000..543dd18b98
--- /dev/null
+++ b/development/dwarf/dwarf.info
@@ -0,0 +1,10 @@
+PRGNAM="dwarf"
+VERSION="20150915"
+HOMEPAGE="http://www.prevanders.net/dwarf.html"
+DOWNLOAD="http://www.prevanders.net/libdwarf-20150915.tar.gz"
+MD5SUM="08d243ea44e39ceb15f72c1066857cc1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Eugene Wissner"
+EMAIL="belka@caraus.de"
diff --git a/development/dwarf/slack-desc b/development/dwarf/slack-desc
new file mode 100644
index 0000000000..5a22cf812c
--- /dev/null
+++ b/development/dwarf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dwarf: dwarf (library to consume and produce DWARF debug information)
+dwarf:
+dwarf: The DWARF Debugging Information Format is of interest to programmers
+dwarf: working on compilers and debuggers (and anyone interested in reading
+dwarf: or writing DWARF information). It was developed by a committee (known
+dwarf: as the PLSIG at the time) starting around 1991.
+dwarf:
+dwarf:
+dwarf:
+dwarf:
+dwarf: